### Method

# RB Shell do_notify

#### Declaration [src]

    gboolean
    rb_shell_do_notify (
      RBShell* shell,
      gboolean requested,
      GError** error
    )

#### Description [src]

Displays a notification of the current playing track.

#### Parameters

`requested`

  Type: `gboolean`

  If `TRUE`, the notification was requested by some explicit user action.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Not important.